GraphiQL open_in_new

# `PullRequest`

A repository pull request.

## GraphQL Schema definition `

- type PullRequest implements Node, Comment, Issueish, Reactable, RepositoryNode, Timeline, UniformResourceLocatable {
- # A list of Users assigned to the Issue or Pull Request.
- #
- # Arguments
- # first: Returns the first _n_ elements
- # from the list.
- # after: Returns the elements in the
- # list that come after the specified global ID.
- # last: Returns the last _n_ elements
- # from the list.
- # before: Returns the elements in the
- # list that come before the specified global ID.
- assignees(first: Int, after: String, last: Int, before: String): UserConnection!
- # The author of the issue or pull request.
- author: Author
- # Identifies the base Ref associated with the pull request.
- baseRef: Ref
- # Identifies the name of the base Ref associated with
- # the pull request, even if the ref has been deleted.
- baseRefName: String!
- # Identifies the body of the pull request.
- body: String!
- # Identifies the body of the pull request rendered to
- # HTML.
- bodyHTML: HTML!
- # Identifies the body of the pull request rendered to
- # text.
- bodyText: String!
- # A list of comments associated with the pull request.
- #
- # Arguments
- # first: Returns the first _n_ elements
- # from the list.
- # after: Returns the elements in the
- # list that come after the specified global ID.
- # last: Returns the last _n_ elements
- # from the list.
- # before: Returns the elements in the
- # list that come before the specified global ID.
- comments(first: Int, after: String, last: Int, before: String): IssueCommentConnection!
- # A list of commits present in this pull request's head
- # branch not present in the base branch.
- #
- # Arguments
- # first: Returns the first _n_ elements
- # from the list.
- # after: Returns the elements in the
- # list that come after the specified global ID.
- # last: Returns the last _n_ elements
- # from the list.
- # before: Returns the elements in the
- # list that come before the specified global ID.
- commits(first: Int, after: String, last: Int, before: String): CommitConnection!
- # Identifies the date and time when the object was created.
- createdAt: DateTime!
- # Check if this comment was created via an email reply.
- createdViaEmail: Boolean!
- # Identifies the primary key from the database.
- databaseId: Int @deprecated( reason: "Exposed database IDs will eventually be removed in favor of global Relay IDs." )
- # The editor of this pull request's body.
- editor: Author
- # Identifies the head Ref associated with the pull request.
- headRef: Ref
- # Identifies the name of the head Ref associated with
- # the pull request, even if the ref has been deleted.
- headRefName: String!
- id: ID!
- # A list of labels associated with the Issue or Pull
- # Request.
- #
- # Arguments
- # first: Returns the first _n_ elements
- # from the list.
- # after: Returns the elements in the
- # list that come after the specified global ID.
- # last: Returns the last _n_ elements
- # from the list.
- # before: Returns the elements in the
- # list that come before the specified global ID.
- labels(first: Int, after: String, last: Int, before: String): LabelConnection
- # The moment the editor made the last edit
- lastEditedAt: DateTime
- # Are reaction live updates enabled for this subject.
- liveReactionUpdatesEnabled: Boolean!
- # The commit that was created when this pull request
- # was merged.
- mergeCommit: Commit
- # Identifies the pull request number.
- number: Int!
- # The HTTP path for this issue
- path: URI!
- # A list of reactions grouped by content left on the
- # subject.
- reactionGroups: [ReactionGroup!]
- # A list of Reactions left on the Issue.
- #
- # Arguments
- # first: Returns the first _n_ elements
- # from the list.
- # after: Returns the elements in the
- # list that come after the specified global ID.
- # last: Returns the last _n_ elements
- # from the list.
- # before: Returns the elements in the
- # list that come before the specified global ID.
- # content: Allows filtering Reactions
- # by emoji.
- # orderBy: Allows specifying the order
- # in which reactions are returned.
- reactions(first: Int, after: String, last: Int, before: String, content: ReactionContent, orderBy: ReactionOrder): ReactionConnection!
- # The websocket channel ID for reaction live updates.
- reactionsWebsocket: String!
- # The repository associated with this pull request.
- repository: Repository!
- # A list of review requests associated with the pull
- # request.
- #
- # Arguments
- # first: Returns the first _n_ elements
- # from the list.
- # after: Returns the elements in the
- # list that come after the specified global ID.
- # last: Returns the last _n_ elements
- # from the list.
- # before: Returns the elements in the
- # list that come before the specified global ID.
- reviewRequests(first: Int, after: String, last: Int, before: String): ReviewRequestConnection
- # A list of reviews associated with the pull request.
- #
- # Arguments
- # first: Returns the first _n_ elements
- # from the list.
- # after: Returns the elements in the
- # list that come after the specified global ID.
- # last: Returns the last _n_ elements
- # from the list.
- # before: Returns the elements in the
- # list that come before the specified global ID.
- # states: A list of states to filter
- # the reviews.
- reviews(first: Int, after: String, last: Int, before: String, states: [PullRequestReviewState!]): PullRequestReviewConnection
- # Identifies the state of the pull request.
- state: PullRequestState!
- # A list of events associated with an Issue or PullRequest.
- #
- # Arguments
- # first: Returns the first _n_ elements
- # from the list.
- # after: Returns the elements in the
- # list that come after the specified global ID.
- # last: Returns the last _n_ elements
- # from the list.
- # before: Returns the elements in the
- # list that come before the specified global ID.
- # since: Allows filtering timeline events
- # by a `since` timestamp.
- timeline(first: Int, after: String, last: Int, before: String, since: String): IssueTimelineConnection!
- # Identifies the pull request title.
- title: String!
- # Identifies the date and time when the object was last
- # updated.
- updatedAt: DateTime!
- # The HTTP url for this issue
- url: URI!
- # Check if the current viewer can delete this issue.
- viewerCanDelete: Boolean!
- # Check if the current viewer edit this comment.
- viewerCanEdit: Boolean!
- # Can user react to this subject
- viewerCanReact: Boolean!
- # Errors why the current viewer can not edit this comment.
- viewerCannotEditReasons: [CommentCannotEditReason!]!
- # Did the viewer author this comment.
- viewerDidAuthor: Boolean!
- # The websocket channel ID for live updates.
- #
- # Arguments
- # channel: The channel to use.
- websocket(channel: PullRequestPubSubTopic!): String!
- }

`